[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

Installation |

VIGRA can be downloaded from http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/vigra1.6.0.tar.gz.

VIGRA is known to work with the following compilers:

- GNU g++ 2.95.3 and newer
- Microsoft Visual C++ 7.1 (aka C++.net 2003) and newer

VIGRA is known NOT to work with the following compilers:

- GNU g++ 2.9.2 and earlier
- support for Microsoft Visual C++ 6.0 has largely been dropped, but some of VIGRA should still work with this compiler

VIGRA should work with any standard conforming C++ compiler.

### Unix:

- uncompress and unpack the source distribution
- run `configure`:

          > cd <vigra_path>
          > ./configure --prefix=/your/install/path --exec-prefix=/your/bin/install/path  \
                        --with-cc=gcc --with-cxx=g++ \
                        --with-jpeg=/path/to/libjpeg/installation \
                        --with-tiff=/path/to/libtiff/installation \
                        --with-png=/path/to/libpng/installation \
                        --with-zlib=/path/to/zlib/installation \
                        --with-fftw=/path/to/libfftw/installation

  Of course, the flags given to `configure` may vary for your build. In particular, if you drop `--with-jpeg`, `--with-tiff`, or `--with-fftw`, VIGRA will be build without support for these libraries. Invoke `configure --help` for a complete list of options, default settings and explanations.

  On a LINUX system, it is often possible to run configure without any options.

  You can also create a dedicated build directory, e.g. to facilitate parallel installations on multiple platforms. You must cd into this directopry and run configure with the appropriate relative or absolute path..

- build the library, execute the tests, and compile the Examples :

          > make
          > make test
          > make install
          > make examples

  Besides `/your/bin/install/path/lib/libvigraimpex.a` and the html-documentation, this also installs a programm `/your/bin/install/path/bin/vigra-config`. This programm supports the compilation of software which depends on VIGRA by returning the neccessary compiler and linker settings. For example,

          > vigra-config --cppflags
          -I/your/install/path/include -I/path/to/libfftw/include

  Call `vigra-config --help` for a complete list of options. You may also look at `<vigra_path>/src/examples/Makefile` for a usage example.

### Windows: (Microsoft Visual C++ 7.1, Visual Studio 2003 and Microsoft Visual C++ 8.0, Visual Studio 2005)

- Uncompress and unpack the source distribution, or run the binary installer Setup-Vigra-1.6.0.exe.

- Go into the directory `[some path]/vigra/src/`

- Load the workspace `vigra.sln` into Visual Studio

- Specify in the project settings if and where JPEG, TIFF, PNG, and FFTW libraries are installed:
  - If you installed VIGRA using Setup-Vigra-1.6.0.exe: Settings should work out of the box. The installer comes with pre-compiled versions of these libraries which are invoked by the pre-defined settings.
  - If you have installed these libraries independently of VIGRA: Open the preferences dialog for the project `vigraimpex_dll` and update the paths to the include and library files for libjpeg, libtiff, libpng, and libfftw
  - If you don't need the functionality provided by these libraries: Remove the `HasJPEG`, `HasTIFF`, and `HasPNG` preprocessor flags and the entries referring to these libs in the linker dependencies of the "vigraimpex_dll" project.

- Build the workspace (that is, the library `vigraimpex.dll` and the Examples) and move `[some path]/vigra/src/impex/vigraimpex.dll` to a directory where Windows finds it (or add the appropriate path to the Windows PATH environment variable).

- The Examples can now be invoked from the command line (DOS prompt).

- The VIGRA test suite can be similarly compiled and executed by loading the solution `[some path]/vigra/test/test.sln`.

- Important note: If you include "windows.h" in your projects: there are some name clashes with VIGRA -- always include "vigra/windows.h" instead.

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)